import { DataGridColumnDescription } from "./DataGridColumnDescription";
import { BaseDataSourceDescription } from "./BaseDataSourceDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ComboBoxColumnDescription extends DataGridColumnDescription {
    static $t: Type;
    protected get_type(): string;
    private static __canMarshalByValue1;
    constructor();
    private fj;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private fg;
    get dataSource(): BaseDataSourceDescription;
    set dataSource(a: BaseDataSourceDescription);
    private fk;
    get textField(): string;
    set textField(a: string);
    private fl;
    get valueField(): string;
    set valueField(a: string);
}
